curl --request POST \
--url https://api.yorlet.com/v1/unit_groups/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"metadata": {}
}
'import requests
url = "https://api.yorlet.com/v1/unit_groups/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"metadata": {}
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>', metadata: {}})
};
fetch('https://api.yorlet.com/v1/unit_groups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"created": 123,
"object": "unit_group",
"building": {
"id": "<string>",
"created": 123,
"object": "building",
"active": true,
"address": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"country": "<string>",
"postal_code": "<string>",
"state": "<string>"
},
"currency": "<string>",
"description": "<string>",
"marketing": {
"featured_photo": "<string>",
"photos": [
"<string>"
]
},
"name": "<string>",
"removable": true,
"single_unit": true,
"type": "block_management",
"unit_fees": {
"management_fee": 123,
"management_fee_amount": 123,
"management_fee_discount": {
"percent_off": 123,
"end": 123
},
"management_fee_type": "percentage",
"renewal_fee": 123,
"rent_review_fee": 123,
"tax": 123,
"tax_behavior": "exclusive",
"tenant_find_fee": 123,
"updated_at": 123
},
"account": "<string>",
"deleted": false,
"metadata": {}
},
"description": "<string>",
"name": "<string>",
"account": "<string>",
"deleted": false,
"metadata": {}
}Update a unit group
Authorizations
API Key authentication. Use "Bearer YOUR_API_KEY".
Path Parameters
The id identifier.
Body
The name of the unit group.
An arbitrary description attached to the unit group.
Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
Show child attributes
Show child attributes
Response
Returns the unit group object if the update succeeded.
Unique identifier for the object.
Time at which the object was created. Measured in seconds since the Unix epoch.
unit_group The building the unit group belongs to.
Show child attributes
Show child attributes
An arbitrary description attached to the unit group.
The name of the unit group.
The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.
Only returned if the object has been deleted.
Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
Show child attributes
Show child attributes
Was this page helpful?